server.port = 8082

# H2 Configuration
spring.datasource.url=jdbc:h2:mem:testdb;DB_CLOSE_ON_EXIT=FALSE
spring.datasource.username=sa
spring.datasource.password=123456
spring.datasource.driverClassName=org.h2.Driver
spring.jpa.hibernate.ddl-auto=update
spring.jpa.properties.hibernate.dialect=org.hibernate.dialect.H2Dialect
spring.jpa.database-platform=org.hibernate.dialect.H2Dialect
spring.h2.console.enabled=true
hibernate.hbm2ddl.auto=create-drop





#CONFIGURATION JPA-MYSQL
#spring.datasource.driver-class-name = com.mysql.cj.jdbc.Driver
#spring.datasource.url = jdbc:mysql://localhost:3306/empleosdb?useSSL=false&serverTimezone=America/Santiago&allowPublicKeyRetrieval=true
#spring.datasource.username = root
#spring.datasource.password = 16581190

#CONFIGURACION SPRING DATA JPA
#spring.jpa.generate-ddl = false
#spring.jpa.properties.hibernate.dialect = org.hibernate.dialect.MySQLDialect
#spring.jpa.show-sql = true

#Tables names physically
#spring.jpa.hibernate.naming.physical-strategy = org.hibernate.boot.model.naming.PhysicalNamingStrategyStandardImpl
